Datos de telemetría
curl --request GET \
--url https://api.locatebyteli.com/devices/{id}/data \
--header 'Authorization: <authorization>'import requests
url = "https://api.locatebyteli.com/devices/{id}/data"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.locatebyteli.com/devices/{id}/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"state": "moving",
"type": "state",
"connected": true,
"alarm_code": null,
"alarm_data": null,
"gps": {
"hdop": 1.2,
"speed": 65,
"valid": true,
"course": 180,
"antenna": true,
"altitude": 2250,
"latitude": 19.4326,
"longitude": -99.1332,
"satellite": 8
},
"gsm": {
"cid": 12345,
"lac": 6789,
"mcc": 334,
"mnc": 20
},
"status": {
"armed": false,
"external_power": true,
"authentication": true
},
"voltages": {
"external": 12.8,
"internal": 4.1
},
"created_at": 1710756000,
"generated_at": "2026-03-18T10:00:00Z"
}
Dispositivos
Datos de telemetría
Obtiene los últimos datos de telemetría del dispositivo
GET
/
devices
/
{id}
/
data
Datos de telemetría
Authorization
API Key. Formato:
Bearer lbt_•••Path Parameters
ID del dispositivo
Respuesta
Estado actual (
moving, stopped, etc.)Tipo de dato (
state, alarm, etc.)Si está conectado
Código de alarma (si aplica)
Datos adicionales de la alarma
Datos GPS
Show Propiedades GPS
Show Propiedades GPS
Dilución horizontal de precisión GPS
Velocidad en km/h
Si la lectura GPS es válida
Dirección en grados (0-360)
Estado de la antena GPS
Altitud en metros
Latitud
Longitud
Cantidad de satélites captados
Timestamp Unix del dato
Fecha de generación del dato
{
"state": "moving",
"type": "state",
"connected": true,
"alarm_code": null,
"alarm_data": null,
"gps": {
"hdop": 1.2,
"speed": 65,
"valid": true,
"course": 180,
"antenna": true,
"altitude": 2250,
"latitude": 19.4326,
"longitude": -99.1332,
"satellite": 8
},
"gsm": {
"cid": 12345,
"lac": 6789,
"mcc": 334,
"mnc": 20
},
"status": {
"armed": false,
"external_power": true,
"authentication": true
},
"voltages": {
"external": 12.8,
"internal": 4.1
},
"created_at": 1710756000,
"generated_at": "2026-03-18T10:00:00Z"
}
Errores
| Código | Descripción |
|---|---|
404 | Dispositivo no encontrado o sin data |
500 | Error interno del servidor |
⌘I